Bug 732660 - Review Request: nodejs-which - A JavaScript implementation of the 'which' command
Summary: Review Request: nodejs-which - A JavaScript implementation of the 'which' com...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 732552
Blocks: 732704
TreeView+ depends on / blocked
 
Reported: 2011-08-23 08:49 UTC by T.C. Hollingsworth
Modified: 2018-04-11 09:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-24 23:06:50 UTC


Attachments (Terms of Use)

Description T.C. Hollingsworth 2011-08-23 08:49:54 UTC
Spec URL: http://www.u.arizona.edu/~tchol/fedora/nodejs-which.spec
SRPM URL: http://www.u.arizona.edu/~tchol/fedora/nodejs-which-1.0.0-1.fc15.src.rpm
Description: A JavaScript implementation of the 'which' command.

Comment 1 T.C. Hollingsworth 2011-08-23 08:50:19 UTC
$ rpmlint SPECS/nodejs-which.spec 
SPECS/nodejs-which.spec: W: no-%build-section
SPECS/nodejs-which.spec: W: invalid-url Source0: isaacs-node-which-1.0.0-0-g3a6bbd8.tar.gz
0 packages and 1 specfiles checked; 0 errors, 2 warnings.

$ rpmlint RPMS/noarch/nodejs-which-1.0.0-1.fc15.noarch.rpm 
nodejs-which.noarch: W: only-non-binary-in-usr-lib
nodejs-which.noarch: W: no-manual-page-for-binary which.nodejs
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 2 Matěj Cepl 2011-08-26 15:53:20 UTC
Probably not a packaging review deal breaker, but still interesting enough to be recorded somewhere (and I don't have a component to file a bug against):

bradford:nodejs-which-1.0.0 $ which.nodejs 

node.js:134
        throw e; // process.nextTick error, or 'error' event on first tick
        ^
Error: Cannot find module '../'
    at Function._resolveFilename (module.js:315:11)
    at Function._load (module.js:261:25)
    at require (module.js:343:19)
    at Object.<anonymous> (/usr/bin/which.nodejs:2:13)
    at Module._compile (module.js:399:26)
    at Object..js (module.js:405:10)
    at Module.load (module.js:331:31)
    at Function._load (module.js:292:12)
    at Array.<anonymous> (module.js:418:10)
    at EventEmitter._tickCallback (node.js:126:26)
bradford:nodejs-which-1.0.0 $ rpm -V nodejs-which
bradford:nodejs-which-1.0.0 $

Comment 3 T.C. Hollingsworth 2011-10-24 23:06:50 UTC
Closing all Node.js-related reviews per bug 732552.


Note You need to log in before you can comment on or make changes to this bug.